[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValue.Assign

Copies property values from the specified persistent object into the current class instance.

## Declaration

Source position: propertystorage.pas line 51

`public procedure TStoredValue.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with property values copied in the method.

## Description

Assign is an overridden method in TStoredValue used to copy property values from the persistent object specified in Source into the current class instance. When Source is assigned and derived from TStoredValue, the following properties are copied:

- Values
- Name
- KeyString

No actions are performed in the method when Source is unassigned (Nil) or not derived from TStoredValue. It does not call the inherited method.